package com.huimv.env.common.dao.repo;

import com.huimv.env.common.dao.entity.EnvDeviceRegisterEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import javax.swing.text.html.Option;
import java.util.Optional;

public interface EnvDeviceRegisterEntityRepo extends JpaRepository<EnvDeviceRegisterEntity, Integer>, JpaSpecificationExecutor<EnvDeviceRegisterEntity> {

    @Query(nativeQuery = true,value = "SELECT * FROM env_device_register WHERE chip_id=?1")
    Optional<EnvDeviceRegisterEntity> getDeviceRegisterByChipId(String chipId);

    @Query(nativeQuery = true,value = "SELECT * FROM env_device_register WHERE device_code=?1")
    Optional<EnvDeviceRegisterEntity> getDeviceRegisterByDeviceCode(String deviceCode);
}