package com.huimv.env.common.dao.repo;

import com.huimv.env.common.dao.entity.EnvElectricityMeter;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface EnvElectricityMeterRepo extends JpaRepository<EnvElectricityMeter, Integer>, JpaSpecificationExecutor<EnvElectricityMeter> {

    @Query(nativeQuery = true,value = "SELECT *  FROM env_electricity_meter WHERE device_code=?1  ORDER BY id DESC LIMIT 1")
    EnvElectricityMeter getOneByMaxId(String deviceCode);
}