package com.huimv.env.common.dao.repo;

import com.huimv.env.common.dao.entity.EnvElectricityMeter;
import com.huimv.env.common.dao.entity.EnvWaterMeter;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface EnvWaterMeterRepo extends JpaRepository<EnvWaterMeter, Integer>, JpaSpecificationExecutor<EnvWaterMeter> {

    @Query(nativeQuery = true,value = "SELECT *  FROM env_water_meter WHERE device_code=?1  ORDER BY id DESC LIMIT 1")
    EnvWaterMeter getOneByMaxId(String deviceCode);

}