package com.huimv.env.common.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zn
 * @since 2022-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EnvWaterDay implements Serializable {

    private static final long serialVersionUID=1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String deviceCode;

    private Integer sensorSn;

    private BigDecimal dayWater;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date addDate;

    private String pigpenId;

    private String unitId;

    private String farmCode;

    private String dataUnit;

    private BigDecimal startWater;

    private BigDecimal endWater;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date startTime;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date endTime;

    private BigDecimal linkRelativeRatio;
}
