package com.huimv.env.common.service;

import com.alibaba.fastjson.JSONObject;
import com.huimv.common.utils.Result;
import com.huimv.env.common.dao.entity.EnvDeviceRegisterEntity;
import com.huimv.env.common.entity.EnvWaterMonth;
import com.baomidou.mybatisplus.extension.service.IService;

import java.sql.Timestamp;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-10-20
 */
public interface EnvWaterMonthService extends IService<EnvWaterMonth> {

//    EnvWaterMonth getMonthElectricityConsumption(String farmCode, String deviceCode, String sensorSn, String year, String month);

    void saveMonthWater(JSONObject dataJo, EnvDeviceRegisterEntity envDeviceRegisterEntity, Timestamp nowTimestamp, String year, String month, String farmCode);

    void updateMonthWater(EnvWaterMonth envWaterMonth, JSONObject dataJo, Timestamp nowTimestamp, String year, String month, String farmCode);

    EnvWaterMonth getMonthWaterConsumption(String farmCode, String deviceCode, String sensorSn, String year, String month);

    Result getDayAndMonthWaterList(Map<String, String> paramsMap) throws ParseException;
}
