package com.huimv.env.common.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.huimv.env.common.dao.entity.EnvPushMessageEntity;
import com.huimv.env.common.dao.repo.EnvPushMessageEntityRepo;
import com.huimv.env.common.service.IPushMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Date;
import java.sql.Timestamp;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class PushMessageServiceImpl implements IPushMessageService {
    @Autowired
    private EnvPushMessageEntityRepo pushMessageEntityRepo;

    @Override
    public void savePushMessageFlow(JSONObject dataJo, String messageContent, Timestamp nowTimestamp, Date todayDate, String farmCode) {
        EnvPushMessageEntity pushMessageEntity = new EnvPushMessageEntity();
        pushMessageEntity.setDeviceCode(dataJo.getString("deviceCode"));
        pushMessageEntity.setFaultSn(dataJo.getInteger("faultSn"));
        pushMessageEntity.setContent(messageContent);
        pushMessageEntity.setActType(dataJo.getInteger("actType"));
        pushMessageEntity.setAddTime(nowTimestamp);
        pushMessageEntity.setAddDate(todayDate);
        pushMessageEntity.setFarmCode(farmCode);
        pushMessageEntity.setDisplay(1);
        pushMessageEntity.setAskTime(dataJo.getString("askTime"));
        pushMessageEntityRepo.saveAndFlush(pushMessageEntity);
    }
}
