package com.huimv.env.device.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@ConfigurationProperties(prefix = "config")
@PropertySource("classpath:conf/config.properties")
@Component
public class ConfigBean {
    private String fault;
    private String act;

    public String getFault() {
        return fault;
    }

    public void setFault(String fault) {
        this.fault = fault;
    }

    public String getAct() {
        return act;
    }

    public void setAct(String act) {
        this.act = act;
    }

    @Override
    public String toString() {
        return "ConfigBean{" +
                "fault='" + fault + '\'' +
                ", act='" + act + '\'' +
                '}';
    }
}
