package com.huimv.env.manage.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.common.service.EnvElectricityDayService;
import com.huimv.env.common.service.EnvElectricityMonthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-10-21
 */
@RestController
@RequestMapping("/envElectricity")
@CrossOrigin
public class EnvElectricityDayController {
    @Autowired
    private EnvElectricityDayService envElectricityDayService;
    @Resource
    private EnvElectricityMonthService envElectricityMonthService;

    @PostMapping("/getTodayElectricity")
    public Result getTodayElectricity(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return envElectricityDayService.getTodayElectricity(paramsMap);
    }

    @PostMapping("/getDayAndMonthElectricityList")
    public Result getDayAndMonthElectricityList(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return envElectricityMonthService.getDayAndMonthElectricityList(paramsMap);
    }

    @PostMapping("/getElectricityCount")
    public Result getElectricityCount(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return envElectricityDayService.getElectricityCount(paramsMap);
    }

}

