package com.huimv.env.manage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.env.manage.entity.EnvHumi;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.env.manage.entity.dto.TimeData;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
public interface EnvHumiMapper extends BaseMapper<EnvHumi> {

    List<TimeData> listByTime(@Param(Constants.WRAPPER)  QueryWrapper<EnvHumi> humiWrapper);

    List<Map<String, Object>> selectHistory(@Param("farmCode") String farmCode,@Param("days") Integer days);

    List<Integer> getDayTimes(@Param("farmCode") String farmCode,@Param("days")  int days);
}
