package com.huimv.env.manage.saas.service;

import com.huimv.env.manage.saas.dao.entity.LampConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.manage.utils.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2022-10-18
 */
public interface ILampConfigService extends IService<LampConfig> {

    Result savelampConfig( LampConfig lampConfig, HttpServletRequest request);

    Result lsitAllLamp(Map<String, String> map, HttpServletRequest request);

    Result unbindingLamp(Map<String, String> map, HttpServletRequest request);

    Result bindingBaseLamp(Map<String, String> map, HttpServletRequest request);

    String updateTemp(String ageList, Integer dayAge);

    Result allToConfig(Map<String, Object> map, HttpServletRequest request);

    Result listByUnit(Map<String, String> map, HttpServletRequest request);

    Result countByUnit(Map<String, String> map, HttpServletRequest request);

    Result updateLamp(Map<String, Object> map, HttpServletRequest request);

    Result listByLampId(Map<String, String> map, HttpServletRequest request);
}
