package com.huimv.env.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.entity.Group;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
public interface IGroupService extends IService<Group> {

    Result updateGroup(Group group);

    Result removeGroup(Integer groupId);

    IPage<Group> listGroup(Map map, List<Integer> allChildId);

    Result addGroup(Group group, Integer userId);
}
