package com.huimv.env.produce.service;

import com.huimv.common.utils.Result;
import com.huimv.env.produce.entity.WarningInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
public interface WarningInfoService extends IService<WarningInfo> {

    Long getWarningCount(Map<String, String> paramsMap) throws ParseException;

    Result add(Map<String, String> paramsMap) throws ParseException;

    Result edit(Map<String, String> paramsMap) throws ParseException;

    Result remove(Map<String, String> paramsMap);

    Result list(Map<String, String> paramsMap);
}
