package com.huimv.env.produce.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.common.utils.DateUtil;
import com.huimv.env.produce.entity.GeneralImmunityPlan;
import com.huimv.env.produce.entity.Transfer;
import com.huimv.env.produce.mapper.GeneralImmunityPlanMapper;
import com.huimv.env.produce.service.GeneralImmunityPlanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@Service
public class GeneralImmunityPlanServiceImpl extends ServiceImpl<GeneralImmunityPlanMapper, GeneralImmunityPlan> implements GeneralImmunityPlanService {
    @Autowired
    private GeneralImmunityPlanMapper generalImmunityPlanMapper;

    @Override
    public Object getGeneralImmunityCount(Map<String, String> paramsMap) {
        DateUtil dateUtil = new DateUtil();
        String farmCode = paramsMap.get("farmCode");
        QueryWrapper<GeneralImmunityPlan> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_code",farmCode);
//        queryWrapper.eq("add_date",dateUtil.getTodayDate());
        return generalImmunityPlanMapper.selectCount(queryWrapper);
    }
}
