package com.huimv.env.produce.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.common.utils.DateUtil;
import com.huimv.env.produce.entity.Wean;
import com.huimv.env.produce.entity.Workplan;
import com.huimv.env.produce.mapper.WorkplanMapper;
import com.huimv.env.produce.service.WorkplanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@Service
public class WorkplanServiceImpl extends ServiceImpl<WorkplanMapper, Workplan> implements WorkplanService {
    @Autowired
    private WorkplanMapper workplanMapper;

    @Override
    public Object getWorkplanCount(Map<String, String> paramsMap) {
        DateUtil dateUtil = new DateUtil();
        String farmCode = paramsMap.get("farmCode");
        QueryWrapper<Workplan> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_code",farmCode);
//        queryWrapper.eq("add_date",dateUtil.getTodayDate());
        return workplanMapper.selectCount(queryWrapper);
    }
}
