package com.huimv.env.common.dao.repo;

import com.huimv.env.common.dao.entity.EnvSensorRegisterEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface EnvSensorRegisterEntityRepo extends JpaRepository<EnvSensorRegisterEntity, Integer>, JpaSpecificationExecutor<EnvSensorRegisterEntity> {

    @Query(nativeQuery = true,value = "SELECT count(*) AS total FROM env_sensor_register WHERE device_code=?1 AND sensor_sn=?2 AND farm_code=?3 AND sensor_sort=?4")
    List<Object[]> getByDeviceCodeAndSensorSnAndFarmCode(String deviceCode, int sensorSn, String farmCode, int sensorSort);
}