package com.huimv.env.common.service;

import com.alibaba.fastjson.JSONObject;
import com.huimv.common.utils.Result;
import com.huimv.env.common.dao.entity.EnvDeviceRegisterEntity;
import com.huimv.env.common.entity.EnvElectricityMonth;
import com.baomidou.mybatisplus.extension.service.IService;

import java.sql.Timestamp;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-10-21
 */
public interface EnvElectricityMonthService extends IService<EnvElectricityMonth> {

    EnvElectricityMonth getMonthElectricityConsumption(String farmCode, String deviceCode, String sensorSn, String year, String month);

    void saveMonthElectricity(JSONObject dataJo, EnvDeviceRegisterEntity envDeviceRegisterEntity, Timestamp nowTimestamp, String year, String month, String farmCode);

    void updateMonthElectricity(EnvElectricityMonth envElectricityMonth, JSONObject dataJo, Timestamp nowTimestamp);

    Result getDayAndMonthElectricityList(Map<String, String> paramsMap) throws ParseException;
}
