package com.huimv.env.common.utils;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class Const {
    // 温度
    public final static String ROUTING_KEY_TEMP = "topic.temp.key";
    public final static String QUEUE_TEMP = "topic.temp.queue";
    public final static String EXCHANGE_TEMP = "topic.temp.exchange";

    // 湿度
    public final static String ROUTING_KEY_HUMI = "topic.humi.key";
    public final static String QUEUE_HUMI = "topic.humi.queue";
    public final static String EXCHANGE_HUMI = "topic.humi.exchange";

    // 氨气
    public final static String ROUTING_KEY_AMMONIA = "topic.ammonia.key";
    public final static String QUEUE_AMMONIA = "topic.ammonia.queue";
    public final static String EXCHANGE_AMMONIA = "topic.ammonia.exchange";

    // 传感器
    public final static String ROUTING_KEY_SENSOR = "topic.sensor.key";
    public final static String QUEUE_SENSOR = "topic.sensor.queue";
    public final static String EXCHANGE_SENSOR = "topic.sensor.exchange";

    //设备状态
    public final static String ROUTING_KEY_DEVICE_STATUS = "topic.deviceStatus.key";
    public final static String QUEUE_DEVICE_STATUS = "topic.deviceStatus.queue";
    public final static String EXCHANGE_DEVICE_STATUS = "topic.deviceStatus.exchange";

    //平台推送短信
    public final static String ROUTING_KEY_PUSH_MESSAGE = "topic.pushMessage.key";
    public final static String QUEUE_PUSH_MESSAGE = "topic.pushMessage.queue";
    public final static String EXCHANGE_PUSH_MESSAGE = "topic.pushMessage.exchange";

    // 水压
    public final static String ROUTING_KEY_WATER_GEGE = "topic.waterGege.key";
    public final static String QUEUE_WATER_GEGE = "topic.waterGege.queue";
    public final static String EXCHANGE_WATER_GEGE = "topic.waterGege.exchange";

    // PH
    public final static String ROUTING_KEY_PH = "topic.ph.key";
    public final static String QUEUE_PH = "topic.ph.queue";
    public final static String EXCHANGE_PH = "topic.ph.exchange";

    // 水表
    public final static String ROUTING_KEY_WATER_METER = "topic.waterMeter.key";
    public final static String QUEUE_WATER_METER = "topic.waterMeter.queue";
    public final static String EXCHANGE_WATER_METER = "topic.waterMeter.exchange";

    // 电表
    public final static String ROUTING_KEY_ELECTRICITY_METER = "topic.electricityMeter.key";
    public final static String QUEUE_ELECTRICITY_METER = "topic.electricityMeter.queue";
    public final static String EXCHANGE_ELECTRICITY_METER = "topic.electricityMeter.exchange";

    public final static Integer ERR_TODAY_WATER_CODE = 10050;
    public final static String ERR_TODAY_WATER_INFO = "今天水量数据不存在";

    public final static Integer ERR_TODAY_ELECTRICITY_CODE = 10051;
    public final static String ERR_TODAY_ELECTRICITY_INFO = "今天电量数据不存在";

    public final static Integer ERR_EMPTY_CODE = 10052;
    public final static String ERR_EMPTY_INFO = "数据为空";
}
