package com.huimv.env.device.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.huimv.env.device.service.ICommandParserService;
import org.springframework.stereotype.Service;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class CommandParserServiceImpl implements ICommandParserService {

    @Override
    public JSONObject handlePushMessageCmd(String askText) {
        String[] dataArray = askText.split("\\+");
        JSONObject dataJo = new JSONObject();
        dataJo.put("deviceCode", dataArray[1]);
        dataJo.put("cmd", dataArray[2]);
        dataJo.put("faultSn", dataArray[3]);
        dataJo.put("actType", dataArray[4]);
        dataJo.put("askTime", dataArray[5]);
        return dataJo;
    }
}
