package com.huimv.env.input.service.impl;

import com.huimv.env.input.service.ICommandProcessorService;
import com.huimv.env.common.service.IDeviceRegisterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Service
public class CommandProcessorServiceImpl implements ICommandProcessorService {

    @Autowired
    private IDeviceRegisterService iDeviceRegisterService;

    @Override
    public String getDeviceCodeByChipId(String idCode) {
        //--{读取设备编码}
        return iDeviceRegisterService.getDeviceCodeByChipId(idCode);
    }

    @Override
    public boolean isEffectiveDevice(String idCode) {
        return iDeviceRegisterService.isExistByDeviceCode(idCode);
    }
}
