package com.huimv.env.manage.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.common.entity.BaseThreshold;
import com.huimv.env.common.service.IBaseThresholdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@CrossOrigin
@RequestMapping("/baseThreshold")
public class BaseThresholdController {
    @Autowired
    private IBaseThresholdService baseThresholdService;

    @PostMapping("/listThreshold")
    private Result listThreshold(@RequestBody Map<String,String> map){
       return baseThresholdService.listThreshold(map);
    }
    @PostMapping("/updateThreshold")
    private Result updateThreshold(@RequestBody BaseThreshold baseThreshold){
        try {
            baseThresholdService.updateById(baseThreshold);
            return new Result(10000,"设置成功",true);
        }catch (Exception e){
            return new Result(10001,"设置失败",false);
        }
    }



}
