package com.huimv.env.manage.controller;


import com.huimv.env.manage.entity.EnvConfig;
import com.huimv.env.manage.service.IEnvConfigService;
import com.huimv.env.manage.service.IMenuService;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@RestController
@CrossOrigin
@RequestMapping("/envConfig")
public class EnvConfigController {
    @Autowired
    IEnvConfigService envConfigService;

    @PostMapping("/update")
    public Result saveAccountGroup(@RequestBody EnvConfig envConfig){
        envConfigService.updateById(envConfig);
        return new Result(10000,"修改成功",true);
    }
}
