package com.huimv.env.manage.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.manage.entity.EnvSprayConfig;
import com.huimv.env.manage.service.IEnvHumiService;
import com.huimv.env.manage.service.IEnvSprayConfigService;
import com.huimv.env.manage.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@RestController
@CrossOrigin
@RequestMapping("/envSprayConfig")
public class EnvSprayConfigController {
    @Autowired
    private IEnvSprayConfigService envSprayConfigService;


    @PostMapping("/dataList")
    public Result registerList(@RequestBody Map<String,String> paramMap){
        return  envSprayConfigService.dataList(paramMap);

    }

    @PostMapping("/update")
    public Result update(@RequestBody EnvSprayConfig envSprayConfig) {

        String deviceCode = envSprayConfig.getDeviceCode();
        EnvSprayConfig envSprayConfig1 = envSprayConfigService.getOne(new QueryWrapper<EnvSprayConfig>().eq("device_code", deviceCode));

        envSprayConfig.setId(envSprayConfig1.getId());
        envSprayConfigService.updateById(envSprayConfig);
        return new Result(10000,"修改成功",true);


    }
}
