package com.huimv.env.manage.controller;


import com.huimv.env.manage.entity.EnvTempThreshold;
import com.huimv.env.manage.service.IEnvSprayTimeService;
import com.huimv.env.manage.service.IEnvTempThresholdService;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@RestController
@CrossOrigin
@RequestMapping("/envTempThreshold")
public class EnvTempThresholdController {


    @Autowired
    private IEnvTempThresholdService envTempThresholdService;



    @PostMapping("/dataList")
    public Result dataList(@RequestBody Map<String,String> paramMap){
        return  envTempThresholdService.dataList(paramMap);


    }
    @PostMapping("/update")
    public Result update(@RequestBody EnvTempThreshold envTempThreshold){
        envTempThresholdService.updateById(envTempThreshold);
        return  new Result(ResultCode.SUCCESS,"修改成功");

    }
}
