package com.huimv.env.manage.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.env.manage.entity.EnvDeviceRegister;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.env.manage.entity.dto.AllDataDto;
import com.huimv.env.manage.entity.dto.EnvDeviceRegisterDto;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
public interface EnvDeviceRegisterMapper extends BaseMapper<EnvDeviceRegister> {

    Page<EnvDeviceRegisterDto> registerList(IPage<EnvDeviceRegisterDto> envDeviceRegisterPage, @Param("farmCode")String farmCdoe);

    AllDataDto selectAllData(@Param("deviceCode")String deviceCode,@Param("beginOfDay") Date beginOfDay);
}
