package com.huimv.env.manage.saas.controller;


import com.huimv.env.manage.saas.service.IBasePigpenService;
import com.huimv.env.manage.service.IMenuService;
import com.huimv.env.manage.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-10-18
 */
@RestController
@RequestMapping("/basePigpen")
public class BasePigpenController {
    @Autowired
    IBasePigpenService basePigpenService;

    @PostMapping("/listBasePigpen")
    public Result listBasePigpen(@RequestBody Map<String, String> map, HttpServletRequest request){

        return basePigpenService.listBasePigpen(map,request);
    }

    @PostMapping("/listPigPenByFarmId")
    public Result listPigPenByFarmId(@RequestBody Map<String, String> map, HttpServletRequest request){

        return basePigpenService.listPigPenByFarmId(map,request);
    }

    @PostMapping("/listUnitByPigpenId")
    public Result listUnitByPigpenId(@RequestBody Map<String, String> map, HttpServletRequest request){

        return basePigpenService.listUnitByPigpenId(map,request);
    }


    @PostMapping("/saveBasePigpen")
    public Result saveBasePigpen(@RequestBody Map<String, String> map, HttpServletRequest request){

        return basePigpenService.saveBasePigpen(map,request);
    }
}
