package com.huimv.env.manage.saas.dao.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2022-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_ph")
public class EnvPh implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String deviceCode;

    private Integer sensorSn;

    private BigDecimal ph;

    private String askTime;

    @JsonFormat(pattern = "MM-dd HH",timezone = "GMT+8")
    private Date addTime;

//    @JsonFormat(pattern = "MM-dd HH",timezone = "GMT+8")
    private Date addDate;

    private String pigpenId;

    private String unitId;

    private String farmCode;

    private String dataUnit;


}
