package com.huimv.env.manage.saas.dao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2022-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("lamp_config")
public class LampConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String deviceId;

    private String tempSet;

    private Date setTime;

    private String remark;

    private String location;

    private Integer dayAge;

    private Integer initAge;

    private String ageList;

    private Integer unitId;

    /**
     * 0关闭 1开启 实际运行状态
     */
    private Integer openStart;

    /**
     * 0关闭 1开启 设置状态
     */
    private Integer uploadStart;
    private String  lampName;

    private Integer   binding;

    private String    farmCode;

    private Integer boardGear;

}
