package com.huimv.env.manage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.manage.entity.EnvTempThreshold;
import com.huimv.env.manage.mapper.EnvTempThresholdMapper;
import com.huimv.env.manage.service.IEnvTempThresholdService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@Service
public class EnvTempThresholdServiceImpl extends ServiceImpl<EnvTempThresholdMapper, EnvTempThreshold> implements IEnvTempThresholdService {

    @Override
    public Result dataList(Map<String, String> paramMap) {
        String deviceCode = paramMap.get("deviceCode");
        return new Result(ResultCode.SUCCESS,this.list(new QueryWrapper<EnvTempThreshold>().eq("device_code",deviceCode)));
    }
}
