package com.huimv.env.manage.time;


import com.huimv.env.manage.mapper.LampConfigMapper;
import com.huimv.env.manage.saas.dao.entity.LampConfig;
import com.huimv.env.manage.saas.service.ILampConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class Timer {

    @Autowired
    private ILampConfigService lampConfigService;

    //更新日龄,温度
    @Scheduled(cron = "0 59 23 * * ?")
//    @Scheduled(cron = "0 * * * * ?")
    private void updateAge(){
        System.out.println("更新日龄");
        List<LampConfig> lampConfigs = lampConfigService.list(null);
        for (LampConfig lampConfig : lampConfigs) {
            Integer dayAge = lampConfig.getDayAge()+1;
            String temp =   lampConfigService.updateTemp(lampConfig.getAgeList(),dayAge);

            lampConfig.setDayAge(dayAge);
            lampConfig.setTempSet(temp);
            lampConfigService.updateById(lampConfig);

        }


    }


}
