package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.TuppingService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/tupping")
public class TuppingController {
    @Resource
    private TuppingService tuppingService;

    @PostMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return tuppingService.list(paramsMap);
    }

    @PostMapping("/add")
    public Result add(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return tuppingService.add(paramsMap);
    }

    @PostMapping("/edit")
    public Result edit(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return tuppingService.edit(paramsMap);
    }

    @PostMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return tuppingService.remove(paramsMap);
    }

}

