package com.huimv.env.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.env.produce.service.WarningInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@CrossOrigin
@RestController
@RequestMapping("/v1.0.0/warningInfo")
public class WarningInfoController {
    @Resource
    private WarningInfoService warningInfoService;

    @PostMapping("/add")
    public Result add(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return warningInfoService.add(paramsMap);
    }

    @PostMapping("/edit")
    public Result edit(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return warningInfoService.edit(paramsMap);
    }

    @PostMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return warningInfoService.remove(paramsMap);
    }

    @PostMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) throws ParseException {
        //
        return warningInfoService.list(paramsMap);
    }

}

