package com.huimv.env.produce.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.env.common.utils.DateUtil;
import com.huimv.env.produce.entity.GeneralImmunityPlan;
import com.huimv.env.produce.entity.SpecialImmunityPlan;
import com.huimv.env.produce.mapper.SpecialImmunityPlanMapper;
import com.huimv.env.produce.service.SpecialImmunityPlanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-10-30
 */
@Service
public class SpecialImmunityPlanServiceImpl extends ServiceImpl<SpecialImmunityPlanMapper, SpecialImmunityPlan> implements SpecialImmunityPlanService {
    @Autowired
    private SpecialImmunityPlanMapper specialImmunityPlanMapper;

    @Override
    public Object getSpecialImmunityCount(Map<String, String> paramsMap) {
        DateUtil dateUtil = new DateUtil();
        String farmCode = paramsMap.get("farmCode");
        QueryWrapper<SpecialImmunityPlan> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("farm_code",farmCode);
//        queryWrapper.eq("add_date",dateUtil.getTodayDate());
        return specialImmunityPlanMapper.selectCount(queryWrapper);
    }
}
